Subject: GTListview Gadgets
From: [email-masked] (Graham Kennedy)
To: [email-masked]
Date: Tue, 16 Aug 94 01:22 BST-1

>Why not do a DIM LIST a.list(0)? Or whatever variable you're using for your list?
WOW, it worked, I think Blitz must be the first Language I have used which
allows you to redim so easily, in fact it was so simple I didn't even think
about this solution. Mucho Thanks for suggesting it.

Second bit.
>sample code follows.......
>
>;Main Loop
>Repeat
>
>ev.l=WaitEvent
>gh.l=GadgetHit
>code.l=EventCode
>
>Select ev
>
>    Case $40    ; gadget up event - needed for list views and other gadgets
>
>        Select gh
>
>            Case 52:lv1=code    ;52 is listview gadget # and lv1 holds value
>                                ;of selected item - you can go up and down
>                                ;from there
>
>.......end of sample code

I don't think I was too clear in my description :-( I can read the Listview
no problem but I then want to take that value and set the List array pointer
to point to the entry selected. I am currently using something similar to
the following:

   ok=firstitem(mylist())
   while(lv1>0)
      ok=nextitem(mylist())
      lv1=lv1-1
   wend

therefore at the end of the loop the List array will point at the Listview
entry selected.... Great for small lists, But could take a while on a larger
array. I was just wondering if there was a way to set the pointer directly.

many thanks for the assistance Joel, appreciate it.

Graham K.